'use client';
import { useCurrentUser } from '@/hooks/auth';
import { MaskForm } from '../MaskForm';
import { IconButton } from '@/components/ui/button';
import { useRouter } from 'next/navigation';
import ProfileLayout from '@/layout/ProfileLayout';
import { useTranslations } from 'next-intl';

export default function MaskPage() {
  const t = useTranslations('common');
  const { data: user } = useCurrentUser();
  const router = useRouter();

  return (
    <ProfileLayout title={t('edit')}>
      <div className="bg-surface-base-normal rounded-2xl p-6">
        <MaskForm onSubmitSuccess={() => router.push(`/profile/mask`)} />
      </div>
    </ProfileLayout>
  );
}
